:root {
  --white: #ffffff;
  --black: #000000;
  --danger: #dc3545;
  --danger-hover: #a92835;
  --danger-text: #ffffff;
  --success: #09ae61;
  --success-hover: #0c7544;
  --success-text: #ffffff;
  --business: #ffd712;
  --business-hover: #e5c10b;
  --business-text: #ffffff;
  --info: #0abce0;
  --info-hover: #079fbd;
  --info-text: #ffffff;
  --warning: #ffc107;
  --warning-hover: #dba505;
  --warning-text: #ffffff;

  --primary-100: #e7f0f3;
  --primary-200: #f5ec5a;
  --primary-300: #e8de45;
  --primary-400: #3fcfd5;
  --primary-500: #28b8be;
  --primary-600: #00a2ff;
  --primary-700: #1c86d6;
  --primary-800: #212492;
  --primary-900: #13167d;
  --primary-950: #040649;

  --accent-100: #f0f5f8;
  --accent-200: #e7f0f3;
  --accent-300: #ccdde2;
  --accent-400: #c1d2db;
  --accent-500: #a6b6bf;
  --accent-600: #8a969d;
  --accent-700: #5a6972;
  --accent-800: #455560;
  --accent-900: #233745;
  --accent-950: #101F28;

  --font-primary: "Montserrat", sans-serif;
  --font-secondary: "Noto Sans", Tahoma, Geneva, Verdana, "Roboto",
    "San Francisco" sans-serif;
}

* {
  font-family: var(--font-secondary);
}

.font-primary {
  font-family: var(--font-primary);
}

.font-secondary {
  font-family: var(--font-secondary);
}

.modelo-1 {
  background-color: var(--white);
  border: 2px solid var(--primary-600);
}

.modelo-1 .services {
  color: var(--white);
}

.drawer-modelo-1 .services {
  color: var(--accent-600);
}

.drawer-modelo-1 .bg-drawer {
  background-color: var(--white);
}

.drawer-modelo-1 .article-x {
  color: var(--accent-950);
}

.modelo-1 .titles, .drawer-modelo-1 .titles {
  color: var(--primary-800);
}

.modelo-1 .subtitles, .drawer-modelo-1 .subtitles {
  color: var(--accent-700);
}

.modelo-1 .prices, .drawer-modelo-1 .prices {
  color: var(--white);
}

.modelo-1 .plan-color {
  background-color: var(--primary-600);
  border: 2px solid var(--primary-600);
}

.modelo-1 .details {
  background-color: var(--primary-600);
  border-bottom-right-radius: 1.2rem;
  color: var(--white);
}

.modelo-1 .attributes, .drawer-modelo-1 .attributes {
  color: var(--white);
  border-color: var(--primary-200);
  background-color: var(--primary-600);
}

.modelo-2 {
  background-color: var(--white);
  border: 2px solid var(--primary-600);
}

.modelo-2 .services {
  color: var(--accent-600);
}

.drawer-modelo-2 .services {
  color: var(--accent-600);
}

.drawer-modelo-2 .bg-drawer {
  background-color: var(--white);
}

.drawer-modelo-2 .article-x {
  color: var(--accent-950);
}

.modelo-2 .titles, .drawer-modelo-2 .titles {
  color: var(--primary-800);
}

.modelo-2 .subtitles, .drawer-modelo-2 .subtitles {
  color: var(--accent-700);
}

.modelo-2 .prices, .drawer-modelo-2 .prices {
  color: var(--primary-800);
}

.modelo-2 .attributes, .drawer-modelo-2 .attributes {
  color: var(--primary-800);
  border-color: var(--primary-400);
}

.modelo-2 .details {
  background-color: var(--primary-600);
  border-bottom-right-radius: 1.2rem;
  color: var(--white);
}

.modelo-2 .plan-color {
  background-color: var(--white);
  border: 2px solid var(--white);
}

.modelo-3 {
  background-color: var(--black);
  border: 2px solid var(--primary-200);
}

.modelo-3 .services {
  color: var(--white);
}

.drawer-modelo-3 .services {
  color: var(--white);
}

.drawer-modelo-3 .bg-drawer {
  background-color: var(--black);
}

.drawer-modelo-3 .article-x {
  color: var(--accent-100);
}

.modelo-3 .titles, .drawer-modelo-3 .titles {
  color: var(--white);
}

.modelo-3 .subtitles, .drawer-modelo-3 .subtitles {
  color: var(--white);
}

.modelo-3 .prices, .drawer-modelo-3 .prices {
  color: var(--white);
}

.modelo-3 .attributes, .drawer-modelo-3 .attributes {
  color: var(--white);
}

.modelo-3 .details {
  background-color: var(--black-600);
  border-bottom-right-radius: 1.2rem;
  color: var(--white);
}

.modelo-3 .plan-color {
  background-color: var(--black);
  border: 2px solid var(--black);
}

.scroll-hidden::-webkit-scrollbar {
  display: none !important;
}

.scrollbar-custom::-webkit-scrollbar {
  width: 12px;
}

.scrollbar-custom::-webkit-scrollbar-track {
  background: var(--primary-900);
  border-radius: 10px;
}

.scrollbar-custom::-webkit-scrollbar-thumb {
  background-color: var(--primary-500);
  border-radius: 6px;
  border: 3px solid var(--primary-900);
}

.menu-link {
  display: block;
  font-size: 0.8rem;
  color: var(--primary-800);
  font-family: var(--font-primary);
  padding: 0.3rem 0.65rem;
  line-height: 1;
  font-weight: 600;
  transition-property: all;
  transition-timing-function: cubic-bezier(0.4, 0, 0.2, 1);
  transition-duration: 350ms;
}

.menu-link span {
  font-size: 0.8rem;
  color: var(--primary-800);
  font-family: var(--font-primary);
}

.menu-link:hover span {
  color: var(--primary-700);

}

.services-link {
  display: block;
  font-size: 0.875rem;
  color: var(--white);
  padding: 0.75rem;
  line-height: 1;
  font-weight: 600;
  transition-property: all;
  transition-timing-function: cubic-bezier(0.4, 0, 0.2, 1);
  transition-duration: 150ms;
}

.services-link::after {
  content: "";
  display: block;
  width: 0;
  height: 2px;
  background-color: var(--primary-600);
  transition-property: all;
  transition-timing-function: cubic-bezier(0.4, 0, 0.2, 1);
  transition-duration: 250ms;
  margin-top: 3px;
}

.services-link:hover::after {
  width: 100%;
}

.title-h1,
.title-h1-white,
.title-black {
  font-family: var(--font-primary);
  font-weight: 700;
  font-size: 2.1rem;
  line-height: 1.25;
  letter-spacing: -0.025em;
}

.title-h1 {
  color: var(--black);
}

.title-h1-white {
  color: var(--white);
}

.title-h1-black {
  color: var(--black);
}

.title,
.title-white,
.title-black {
  font-family: var(--font-primary);
  font-weight: 700;
  font-size: 1.8rem;
  line-height: 1.2;
  letter-spacing: -0.02em;
}

.title {
  color: var(--black);
}

.title-white {
  color: var(--white);
}

.title-black {
  color: var(--black);
}

.subtitle,
.subtitle-white,
.subtitle-black {
  font-family: var(--font-primary);
  font-weight: 500;
  font-size: 1.5rem;
  line-height: 1.75rem;
}

.subtitle {
  color: var(--complementary-50);
}

.subtitle-white {
  color: var(--white);
}

.subtitle-black {
  color: var(--black);
}

.txt-hat,
.txt-hat-white,
.txt-hat-black {
  font-family: var(--font-secondary);
  font-weight: 600;
  font-size: 1rem;
  line-height: 1.1;
}

.txt-hat {
  color: var(--primary-500);
}

.txt-hat-white {
  color: var(--white);
}

.txt-hat-black {
  color: var(--black);
}

.description,
.description-white,
.description-black {
  font-family: var(--font-secondary);
  font-weight: 500;
  font-size: 1.125rem;
  line-height: 1.7rem;
}

.description {
  color: var(--complementary-200);
}

.description-white {
  color: var(--white);
}

.description-black {
  color: var(--black);
}

.txt,
.txt-white,
.txt-black {
  font-family: var(--font-secondary);
  font-weight: 400;
  font-size: 1rem;
  line-height: 1.5rem;
}

.txt {
  color: var(--complementary-500);
}

.txt-white {
  color: var(--white);
}

.txt-black {
  color: var(--black);
}

@media (min-width: 768px) {
  .title-h1,
  .title-h1-white {
    font-size: 2.5rem;
    line-height: 1.2;
  }

  .title,
  .title-white {
    font-size: 2.2rem;
    line-height: 1.1;
  }

  .subtitle,
  .subtitle-white {
    font-size: 1.785rem;
    line-height: 2.1rem;
  }

  .description,
  .description-white,
  .description-black {
    font-size: 1.25rem;
    line-height: 1.8rem;
  }
}

/* Background color classes */
.bg-primary-100 {
  background-color: var(--primary-100);
}

.hover\:bg-primary-100:hover {
  background-color: var(--primary-100);
}

.bg-primary-200 {
  background-color: var(--primary-200);
}

.hover\:bg-primary-200:hover {
  background-color: var(--primary-200);
}

.bg-primary-300 {
  background-color: var(--primary-300);
}

.hover\:bg-primary-300:hover {
  background-color: var(--primary-300);
}

.bg-primary-400 {
  background-color: var(--primary-400);
}

.hover\:bg-primary-400:hover {
  background-color: var(--primary-400);
}

.bg-primary-500 {
  background-color: var(--primary-500);
}

.hover\:bg-primary-500:hover {
  background-color: var(--primary-500);
}

.bg-primary-600 {
  background-color: var(--primary-600);
}

.hover\:bg-primary-600:hover {
  background-color: var(--primary-600);
}

.bg-primary-700 {
  background-color: var(--primary-700);
}

.hover\:bg-primary-700:hover {
  background-color: var(--primary-700);
}

.bg-primary-800 {
  background-color: var(--primary-800);
}

.hover\:bg-primary-800:hover {
  background-color: var(--primary-800);
}

.bg-primary-900 {
  background-color: var(--primary-900);
}

.hover\:bg-primary-900:hover {
  background-color: var(--primary-900);
}

/* Background color classes */
.bg-accent-100 {
  background-color: var(--accent-100);
}

.hover\:bg-accent-100:hover {
  background-color: var(--accent-100);
}

.bg-accent-200 {
  background-color: var(--accent-200);
}

.hover\:bg-accent-200:hover {
  background-color: var(--accent-200);
}

.bg-accent-300 {
  background-color: var(--accent-300);
}

.hover\:bg-accent-300:hover {
  background-color: var(--accent-300);
}

.bg-accent-400 {
  background-color: var(--accent-400);
}

.hover\:bg-accent-400:hover {
  background-color: var(--accent-400);
}

.bg-accent-500 {
  background-color: var(--accent-500);
}

.hover\:bg-accent-500:hover {
  background-color: var(--accent-500);
}

.bg-accent-600 {
  background-color: var(--accent-600);
}

.hover\:bg-accent-600:hover {
  background-color: var(--accent-600);
}

.bg-accent-700 {
  background-color: var(--accent-700);
}

.hover\:bg-accent-700:hover {
  background-color: var(--accent-700);
}

.bg-accent-800 {
  background-color: var(--accent-800);
}

.hover\:bg-accent-800:hover {
  background-color: var(--accent-800);
}

.bg-accent-900 {
  background-color: var(--accent-900);
}

.hover\:bg-accent-900:hover {
  background-color: var(--accent-900);
}

/* Border color classes */
.border-primary-100 {
  border-color: var(--primary-100);
}

.hover\:border-primary-100:hover {
  border-color: var(--primary-100);
}

.border-primary-200 {
  border-color: var(--primary-200);
}

.hover\:border-primary-200:hover {
  border-color: var(--primary-200);
}

.border-primary-300 {
  border-color: var(--primary-300);
}

.hover\:border-primary-300:hover {
  border-color: var(--primary-300);
}

.border-primary-400 {
  border-color: var(--primary-400);
}

.hover\:border-primary-400:hover {
  border-color: var(--primary-400);
}

.border-primary-500 {
  border-color: var(--primary-500);
}

.hover\:border-primary-500:hover {
  border-color: var(--primary-500);
}

.border-primary-600 {
  border-color: var(--primary-600);
}

.hover\:border-primary-600:hover {
  border-color: var(--primary-600);
}

.border-primary-700 {
  border-color: var(--primary-700);
}

.hover\:border-primary-700:hover {
  border-color: var(--primary-700);
}

.border-primary-800 {
  border-color: var(--primary-800);
}

.hover\:border-primary-800:hover {
  border-color: var(--primary-800);
}

.border-primary-900 {
  border-color: var(--primary-900);
}

.hover\:border-primary-900:hover {
  border-color: var(--primary-900);
}

/* Border color classes */
.border-accent-100 {
  border-color: var(--accent-100);
}

.hover\:border-accent-100:hover {
  border-color: var(--accent-100);
}

.border-accent-200 {
  border-color: var(--accent-200);
}

.hover\:border-accent-200:hover {
  border-color: var(--accent-200);
}

.border-accent-300 {
  border-color: var(--accent-300);
}

.hover\:border-accent-300:hover {
  border-color: var(--accent-300);
}

.border-accent-400 {
  border-color: var(--accent-400);
}

.hover\:border-accent-400:hover {
  border-color: var(--accent-400);
}

.border-accent-500 {
  border-color: var(--accent-500);
}

.hover\:border-accent-500:hover {
  border-color: var(--accent-500);
}

.border-accent-600 {
  border-color: var(--accent-600);
}

.hover\:border-accent-600:hover {
  border-color: var(--accent-600);
}

.border-accent-700 {
  border-color: var(--accent-700);
}

.hover\:border-accent-700:hover {
  border-color: var(--accent-700);
}

.border-accent-800 {
  border-color: var(--accent-800);
}

.hover\:border-accent-800:hover {
  border-color: var(--accent-800);
}

.border-accent-900 {
  border-color: var(--accent-900);
}

.hover\:border-accent-900:hover {
  border-color: var(--accent-900);
}

/* Text color classes */
.text-primary-100 {
  color: var(--primary-100);
}

.hover\:text-primary-100:hover {
  color: var(--primary-100);
}

.text-primary-200 {
  color: var(--primary-200);
}

.hover\:text-primary-200:hover {
  color: var(--primary-200);
}

.text-primary-300 {
  color: var(--primary-300);
}

.hover\:text-primary-300:hover {
  color: var(--primary-300);
}

.text-primary-400 {
  color: var(--primary-400);
}

.hover\:text-primary-400:hover {
  color: var(--primary-400);
}

.text-primary-500 {
  color: var(--primary-500);
}

.hover\:text-primary-500:hover {
  color: var(--primary-500);
}

.text-primary-600 {
  color: var(--primary-600);
}

.hover\:text-primary-600:hover {
  color: var(--primary-600);
}

.text-primary-700 {
  color: var(--primary-700);
}

.hover\:text-primary-700:hover {
  color: var(--primary-700);
}

.text-primary-800 {
  color: var(--primary-800);
}

.hover\:text-primary-800:hover {
  color: var(--primary-800);
}

.text-primary-900 {
  color: var(--primary-900);
}

.hover\:text-primary-900:hover {
  color: var(--primary-900);
}

/* Text color classes */
.text-accent-100 {
  color: var(--accent-100);
}

.hover\:text-accent-100:hover {
  color: var(--accent-100);
}

.text-accent-200 {
  color: var(--accent-200);
}

.hover\:text-accent-200:hover {
  color: var(--accent-200);
}

.text-accent-300 {
  color: var(--accent-300);
}

.hover\:text-accent-300:hover {
  color: var(--accent-300);
}

.text-accent-400 {
  color: var(--accent-400);
}

.hover\:text-accent-400:hover {
  color: var(--accent-400);
}

.text-accent-500 {
  color: var(--accent-500);
}

.hover\:text-accent-500:hover {
  color: var(--accent-500);
}

.text-accent-600 {
  color: var(--accent-600);
}

.hover\:text-accent-600:hover {
  color: var(--accent-600);
}

.text-accent-700 {
  color: var(--accent-700);
}

.hover\:text-accent-700:hover {
  color: var(--accent-700);
}

.text-accent-800 {
  color: var(--accent-800);
}

.hover\:text-accent-800:hover {
  color: var(--accent-800);
}

.text-accent-900 {
  color: var(--accent-900);
}

.hover\:text-accent-900:hover {
  color: var(--accent-900);
}

.nld-chatbot {
  z-index: 10 !important;
}